$(document).ready(function() {
	var $form_wrapper	= $('#form_wrapper'),
	$currentForm	= $form_wrapper.children('form.active'),
	$linkform		= $form_wrapper.find('.linkform');
			
			
	$form_wrapper.children('form').each(function(i){
		var $theForm	= $(this);
		if(!$theForm.hasClass('active'))
			$theForm.hide();
		$theForm.data({
			width	: $theForm.width(),
			height	: $theForm.height()
		});
	});
	
	setWrapperWidth();
	
	$linkform.bind('click',function(e){
		var $link	= $(this);
		var target	= $link.attr('rel');
		$currentForm.fadeOut(400,function(){
			$currentForm.removeClass('active');
			$currentForm= $form_wrapper.children('form.'+target);
			$form_wrapper.stop()
						 .animate({
							width	: $currentForm.data('width') + 'px',
							height	: $currentForm.data('height') + 'px'
						 },500,function(){
							$currentForm.addClass('active');
							$currentForm.fadeIn(400);
						 });
		});
		e.preventDefault();
	});
	
	function setWrapperWidth(){
		$form_wrapper.css({
			width	: $currentForm.data('width') + 'px',
			height	: $currentForm.data('height') + 'px'
		});
	}
	// Login form validation
	$("#loginInForm").validate({
		rules: {
			username: "required",
			password: "required"
		},
		messages: {
			username: "",
			password: ""
		}
  	});
  	$("#forgotForm").validate({
		rules: {
			username: "required"
		},
		messages: {
			username: ""
		} 
	}); 
});